# coding: Shift_JIS

import os
import sys
import Image
import struct

tbl = ["CG011.BMP",
       "CG012.BMP",
       "CG013.BMP",
       "CG014.BMP",
       "CG015.BMP",
       "CG016.BMP",
       "CG017.BMP",
       "CG018.BMP",
       "CG019.BMP",
       "CG020.BMP"
]

# ---------------------------------------------------------------------------
def Bmp2bin(file):
	p = Image.open(file)
	iw, ih = p.size
	
	if file in tbl:
		os.system('..\\exe\\dec\\grit.exe ' + file + ' -gb -gB16 -ftb -gu16 -gz! -fh!')
	else:
		os.system('..\\exe\\dec\\grit.exe ' + file + ' -gb -gB16 -ftb -gu16 -gzl -fh!')
	
	f = open(file[:-4] + ".img.bin", "rb")
	x = f.read()
	f.close()
	
	f = open(file[:-4] + ".img", 'wb')
	f.write(struct.pack('HH', iw, ih))
	f.write(x);
	f.close()

# ---------------------------------------------------------------------------
def Bmp2mask(file):
	p = Image.open(file)
	iw, ih = p.size
	
	os.system('..\\exe\\dec\\grit.exe ' + file + ' -gb -gB16 -ftb -gu16 -gz! -fh!')
	
	f = open(file[:-4] + ".img.bin", "rb")
	x = f.read()
	f.close()
	
	f = open(file[:-4] + ".img.bin", 'wb')
	for i in range(len(x)):
		if((i % 2) == 0):
			f.write(struct.pack('B', ord(x[i]) & 0x1f))
	f.close()
	
	os.system('..\\exe\\dec\\gbalzss.exe e ' + file[:-4] + ".img.bin" + ' ' + file[:-4] + ".img")
	
	f = open(file[:-4] + ".img", "rb")
	x = f.read()
	f.close()
	
	f = open(file[:-4] + ".img", 'wb')
	f.write(struct.pack('HH', iw, ih))
	f.write(x);
	f.close()

# ---------------------------------------------------------------------------
def Resize(file):
	p = Image.open(file)
	iw, ih = p.size
	
	if (iw == 140) and (ih == 140):
		# ̃TCY傫߂Ɏw肵܂
		iw = 64
		ih = 64
	else:
		iw = int(iw * 0.375)
		ih = int(ih * 0.334)
		if(iw % 2 != 0): iw -= 1
		if(ih % 2 != 0): ih -= 1
	
	cmd = "..\\exe\\dec\\convert.exe -resize %dx%d! " % (iw, ih)
	os.system(cmd + file + " " + file)

# ---------------------------------------------------------------------------
file = sys.argv[1]

if (file[-5] == 'M'):
	print 'msk2bin ... ' + file
	Resize(file)
	Bmp2mask(file)
else:
	print 'bmp2bin ... ' + file
	Resize(file)
	Bmp2bin(file)


