#ifndef __FILE_H__
#define __FILE_H__
#ifdef __cplusplus
extern "C" {
#endif


#include "libgba/gba.h"

//---------------------------------------------------------------------------
#define FILE_MAX_SCO_CNT		209


//---------------------------------------------------------------------------
typedef struct {
	u16 cx;
	u16 cy;
} __PACKED ST_IMG_HEADER;

typedef struct {
	char sig[4];					// VOl` "S351"
	u32  datAdr;					// f[^̊Jn擪AhX
	u32  size;						// t@CTCY
	u32  dataNo;					// f[^ԍ
	u16  advLen;					// RpCÕt@C̒
	char advName;					// RpCÕt@CiadvLenj
} __PACKED ST_NV_SCO_HEADER;


//---------------------------------------------------------------------------
EWRAM_CODE void  FileInit(void);

EWRAM_CODE u8*   FileGetSco(u32 num);
EWRAM_CODE u8*   FileGetImg(u32 num);
EWRAM_CODE u8*   FileGetImgMask(u32 num);
EWRAM_CODE u8*   FileGetMus(u32 num);
EWRAM_CODE u8*   FileGetSe(u32 num);
EWRAM_CODE char* FileGetScoStr(u32 num);
EWRAM_CODE u32   FileGetSize(void);

EWRAM_CODE bool  FileIsMaskExist(u32 num);


#ifdef __cplusplus
}
#endif
#endif
