#include "sys.h"
#include "libmy/libmy.h"
#include "irq_arm.h"
#include "manage.h"


//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
EWRAM_CODE void SysInit(void)
{
	LibMyInit();
	ManageInit();

	IrqInit();
}
//---------------------------------------------------------------------------
IWRAM_CODE void SysExec(void)
{
	for(;;)
	{
		SystemCall(5);

		LibMyExec();
		ManageExec();
	}
}
