#ifndef __MANAGE_H__
#define __MANAGE_H__
#ifdef __cplusplus
extern "C" {
#endif


#include "libgba/gba.h"

//---------------------------------------------------------------------------

enum {
	MANAGE_ACT_INIT,
	MANAGE_ACT_TITLE,
	MANAGE_ACT_SCRIPT,
};


//---------------------------------------------------------------------------
typedef struct {
	u32 act;

} ST_MANAGE;


//---------------------------------------------------------------------------
EWRAM_CODE void ManageInit(void);
EWRAM_CODE void ManageInitTitle(void);

IWRAM_CODE void ManageExec(void);
IWRAM_CODE void ManageExecInit(void);
IWRAM_CODE void ManageExecTitle(void);
IWRAM_CODE void ManageExecScript(void);


#ifdef __cplusplus
}
#endif
#endif
